Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Interface ImportAware

All Superinterfaces:
  Aware

All Known Implementing Classes:
  AbstractAsyncConfiguration, AbstractCachingConfiguration, AbstractTransactionManagementConfiguration, AspectJAsyncConfiguration, AspectJCachingConfiguration, AspectJTransactionManagementConfiguration, LoadTimeWeavingConfiguration, ProxyAsyncConfiguration, ProxyCachingConfiguration, ProxyTransactionManagementConfiguration

    public interface ImportAware

extends Aware

Interface to be implemented by any @`Configuration` class that wishes to be injected with the `AnnotationMetadata` of the @`Configuration` class that imported it. Useful in conjunction with annotations that use @`Import` as a meta-annotation.

Since:
  3.1
Author:
  Chris Beams

Method Summary
`void` | `setImportMetadata(AnnotationMetadata importMetadata)` Set the annotation metadata of the importing @`Configuration` class.

Method Detail

### setImportMetadata

    void setImportMetadata(AnnotationMetadata importMetadata)

  Set the annotation metadata of the importing @`Configuration` class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD